Iconic-Games

I recently moved back to developing my game in gamemaker studio 2 after a period of developing my game in Unity. However I have encountered a problem where I get an error while attempting to import my hero into the project.
http://prntscr.com/tghjod
Keep in mind that I had previously used these animations and they had worked fine although this wasa year or two ago. Initially I just assumed it was due to using a newer version of spine with gamemaker so I reverted to spine version 3.6.53 and imported the spine data. I am using gamemaker version 2.2.5.481
Both full versions are purchased as well.

Ive tried a variety of potential fixes with no luck.
- Deleted all the meshes
- Cleared out all the animations
- Made sure there was no shearing key'd
- Double and triple checked the export settings
- I even created test animations with meshes, shearing, weighted meshes and the test animations all imported and ran successfully in gamemaker. (which is odd as I had heard shearing wouldnt work, I didnt use shearing anyway in my animations but thought maybe I did somewhere by mistake)

For whatever reason I just cannot get these existing animations to import. Maybe im missing something as I am no expert but if anyone has any idea on how to fix this I would be incredibly grateful.
Thank you in advance!

---

Im getting this error in the output window of gamemaker. Could there be an error because spine has changed how the jsons are wrote in newer version which reverting to previous versions wont fix?
http://prntscr.com/tgxfpf
Hình đại diện của thành viên
Iconic-Games
  • Bài viết: 20

Nate

Your screenshot says to look in the compile errors window. Is there anything shown there?

If GM2 supports the version of Spine you are using, then it should accept any export from that version. GM 2.2.2 supports 3.7:
https://help.yoyogames.com/hc/en-us/articles/360018864552-Updating-Spine-Sprites-For-GMStudio-2-2-2-Using-Spine-3-7
Likely the problem occurs because you use 3.6. That link is from 6 months ago and I can't seem to find a central location where GM lists what version of Spine to use.
Hình đại diện của thành viên
Nate

Nate
  • Bài viết: 9847

Iconic-Games

Thanks for replying!
This is from the output window.
http://prntscr.com/tgxfpf

I am only using the 3.6 version as that is what I reverted back to in an attempt to get the animations loaded into Gamemaker. Before that I had updated to the latest version of spine. Ive tried various versions of spine but had to import the data into that version so I could export the animations from that version. I was told on reddit that wouldnt work so im kind of at a loss of what to do at this point.

---

As a test I exported a previously working animation at 3.6.45
I am getting the same errors in the output window and the error popup.
http://prntscr.com/tgxu6b

I am not sure why its doing this. According to the working json I just imported it was the same version.
http://prntscr.com/tgxvox

---

Update:
For anyone having a similar problem I got it working by going into the texture packer settings and resetting them to the default values.
Hình đại diện của thành viên
Iconic-Games
  • Bài viết: 20

Nate

If GM supports 3.7 it means they are using the 3.7 Spine Runtimes, so you should use the latest 3.7 Spine editor version to export your projects. Sometimes you may be able to use an older version, but it's only a coincidence and not recommended. If you have your projects in 3.6, you just need to change to 3.7.94 and it will open your projects. Be sure to use your .spine project files to move to newer Spine versions, not the JSON or binary exports.

Glad you got it working! I guess something about your atlas was preventing the attachment atlas regions from being found.
Hình đại diện của thành viên
Nate

Nate
  • Bài viết: 9847


Quay về Editor